contrastsFitM {maigesPack} | R Documentation

## Compute Contrasts from Linear Model Fit

### Description

Given a linear model fit to microarray data, compute estimated coefficients and standard errors for a given set of contrasts. This function was adapted from `contrasts.fit` of the limma package.

### Usage

    contrastsFitM(fit, contrasts)

### Arguments

`fit` | an `MArrayLM` object or a list object produced by the function `lm.series` or equivalent.
`contrasts` | numeric matrix with row corresponding to coefficients in fit and columns containing contrasts. May be a vector if there is only one contrast.

### Details

This function was adapted from the equivalent `contrasts.fit` limma's function to do the linear model fit without use the empirical Bayes method given by the function `eBayes`.

### Value

The result of this function is an object of class `MArrayLM`.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>, adapted from the limma's function.

### See Also

`lmFit`, `contrasts.fit`, `eBayes`, `MArrayLM`.

[Package maigesPack version 1.4.0 Index]